State of vesting assets
curl --request GET \
--url https://mainnet.gomaestro-api.org/v1/contracts/vesting/state/{beneficiary} \
--header 'api-key: <api-key>'import requests
url = "https://mainnet.gomaestro-api.org/v1/contracts/vesting/state/{beneficiary}"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://mainnet.gomaestro-api.org/v1/contracts/vesting/state/{beneficiary}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"asset_name": "564152444f",
"asset_symbol": "6b0ffe54a4d0393ee7d4eb423ed933cf2dddbb0d05bc24237fd0f16a",
"remaining_vesting_quantity": "0",
"total_installments": "1",
"total_vesting_quantity": "950000",
"vesting_period_start": "1692664993000",
"vesting_period_end": "1692664998000"
}Vesting
State of vesting assets
Get the current state of vesting assets for a beneficiary including locked amounts and release schedule.
GET
/
contracts
/
vesting
/
state
/
{beneficiary}
State of vesting assets
Authorizations
Project API Key
Path Parameters
Beneficiary bech32 address
Response
List of vesting assets successfully returned
Vesting states at a beneficiary address
Asset policy token name of the asset to be locked
Asset policy token symbol of the asset to be locked
Number of vesting installments used to collect vested assets
Total amount of the asset that will be vested
Vesting period start in UNIX time (seconds)
Vesting period end in UNIX time (seconds)
Remaning amount of the token left to vest
Was this page helpful?

